%define product Photo
%define version 1.2.3
%define release 11

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product to help managing images in Zope
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
URL:       http://www.zope.org/Members/rbickers/Photo
Source0:   %{product}-%{version}.tar.bz2
Patch1:    Photo-1.2.3-more_options.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope ImageMagick

#----------------------------------------------------------------------
%description
This product provides a Photo object and a Photo Folder object for
managing digital images in Zope.  Photo objects provide multiple
configurable sizes of the photo.  Photo Folders provide a way to manage a
group of Photo objects by providing a way to specify display sizes and
properties for all contained photos.

This Zope product is patched to add more options.

#----------------------------------------------------------------------
%prep
%setup -q -c
%patch1 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.2.3-11mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.2.3-10mdv2007.0
- Rebuild for Mandriva 2007.0

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 1.2.3-9mdk
- Add new patch submitted by Bartek

* Mon Aug 28 2006 Kevin Deldycke <kevin@nexedi.com> 1.2.3-8mdk
- Add ImageMagick requirement

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.2.3-7mdk
- Give ownership to zope

* Wed Jan 5 2006 Kevin Deldycke <kevin@nexedi.com> 1.2.3-6mdk
- Update spec file to follow Mandriva 2006 rules
- Update the patch

* Wed Mar 31 2005 Sebastien Robin <seb@nexedi.com> 1.2.3-5mdk
- Added patch to make a tree of directories with Photo

* Wed Sep 12 2003 Sebastien Robin <seb@nexedi.com> 1.2.3-4mdk
- Make now signed rpm

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 1.2.3-3mdk
- Update spec in order to follows Mandrake Rules

* Wed Apr 25 2003 Sebastien Robin <seb@nexedi.com> 1.2.3-2nxd
- Clean the spec file

* Mon Feb 3 2003 Jean-Paul Smets <jp@nexedi.com> 1.2.3-1nxd
- Initial release
